*{
    box-sizing: border-box;
}
html{
    scroll-behavior: smooth;

    
    
}
body, h1, h2, h3, h4, h5, h6, p{
    margin: 0;
    padding: 0;
    font-family:  "Cal Sans";
    
}
.header{
    z-index: -2;
}
.fondo{
    position: fixed;
    width: 100vw;
    height: 100vh;
    overflow:scroll;
    filter: blur(12px) saturate(150%);
    transform: scale(2);
    background-size: cover;
    object-fit: cover;
    min-height: 100px;
    z-index: -1000;
}
/*------- HEADER SECTION -------*/
.header__nav__container{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
    right: 0;
    position: fixed;
    margin: 0;
    height: 100vh;	
    width: 100px;
}
.header__nav .home{
    margin: 4px;
}
.header__container{
    background: linear-gradient( #dedede 60%, #dedede98);
    height: 100dvh;
    display: flex;
    justify-content: center;
    align-items: center;
    text-shadow: 0px 0px 9px  #7070707f;
    padding: 30px;
    padding-right: 5px;
    text-wrap: balance;
    gap: 10px;
}
/*----- HEADER NAME -----*/
.header__container__name{
    font-weight: 100;
    letter-spacing: 3px;
    font-size: clamp(2rem, 10vw,4rem);
    padding: 0;
    height: auto;
    display: inline-block;
    margin-right: 100px;
    position: relative;
}   
.header__container__name::before{
    content: '';
    height: 100%;
    width: 1px;
    background-color: #dedede;
    position: absolute;
    right: 0;
    animation: escribir 1s steps(15) both;
    animation-delay: 0.5s, 1.5s;
    z-index: 2;
}

.bar{    
    display: inline-block;
    animation: parpadear 1s infinite ;
}

/*----- HEADER NAV -----*/

.header__nav{
    background: radial-gradient( #d1d1d1ca,#cbcbcba7);
    padding: 4px;
    display: flex;
    border-radius: 40px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border: solid 0.2px rgba(163, 163, 163, 0.719);
    z-index: 30;
    min-width:20px;
    box-shadow: 0px 0px 15px #00000044;
    
}
.home{
    background: linear-gradient(to right,#a46b9e ,#ca6aad,  #6caab8 );
    border-radius:inherit;
    height: 100%;
    width: 100%;
}
.header__nav__home{
    height: 10px;
    width: 10px;
    
}
img {
    max-height:90%;
    max-width: 90%;
    object-fit: contain;
    padding: 0;
    
}
.header__nav__item {
    width:30px;
    height:30px;
    padding: 2px;
    margin-top: 20px;
    margin-bottom: 20px;
    background-color: inherit;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: all 0.2s ease;
}
.header__nav__item:hover{
    filter: invert(40%);
}

.abtme{
    transform:  scale(1.25) ;
    overflow: hidden;
}
/*----- HEADER QUERIES -----*/

@media screen and (max-width :950px){
    .header__container{
        flex-direction: column;
        padding: 30px;
    }
    .header__container__name{
        text-align: center;
        margin:0;
        text-wrap: balance;
    }
    .header__nav__container{
        flex-direction: row;
        position:fixed;
        bottom: 10px;
        justify-content: center;
        align-items: center;
        width: 100vw;
        height: 100px;
        z-index: 20;
    }
    .header__nav{
        margin:auto;
        flex-direction: row;
        margin: 0;
    }

    .header__nav .home{
        margin: 2.5px;
    }
    .header__nav__item{
        margin: 0;
        margin-left: 10px;
        margin-right: 10px;
    }
    .abtme{
        transform:  scale(1.25);

    }
}
/*----- HEADER ANIMATIONS -----*/
@keyframes parpadear {
    0%, 100%{
        opacity: 1;
    }
    50%{
        opacity: 0;
    }
}
@keyframes escribir {
    from{
        width: 100%;
    }
    to{
        width: 0%;
    }
}

/*----- LANGUAGES SECTION ------*/
.languages{
    height: 100dvh;
    width: 100%;
    background: linear-gradient(to bottom, #dedede9a, #f7f7f798,#dededebb ); 
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.languages__title{
    margin-bottom: 0px;
    letter-spacing: 3px;
}

.languages__container{
    display: grid;
    place-content: center;
    place-items: center;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(3,  1fr);
    width: 80%;
    border-radius: 20px;
    margin: 10px;
    padding: 30px;
    gap: 15px;
}
.languages__container__language img{
    height: 80px;
    transition: all 0.2s ease;
    
}
.languages__container__language:nth-child(2){
    grid-column-start: 2;
   
    
}

.languages__container__language{
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.languages__container__language img:hover{
    filter: sepia(0.5);
}

/*EXPERIENCE SECTION*/
.experience{
    text-align: center;
    background: linear-gradient(#dededec7 , #cec9d7b7);
    width: 100%;
    display: flex;
    gap:50px;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
.experience__title{
    margin-top: 0px;
    letter-spacing: 3px;
}


.experience__container__proyect{
    display: grid;
    grid-template-rows: 1fr 1fr 4fr;
    gap: 5px;
    grid-template-columns: 3fr 1fr;
    padding: 20px;
    padding-top: 20px;
    text-wrap: balance ;
    max-height:350px ;
    margin: 15px 20%;
    justify-items: center;
    align-items: center;
    border-radius: 20px;
    border: 2px solid rgba(72, 86, 105, 0.2);
    box-shadow: 0px 0px 20px rgba(108, 108, 108, 0.678);
    background-color: #d7d6e2;
    margin-bottom: 30px;
    transition: all 0.35s ease;
    position: relative;
}
.desc__container__grid{
    grid-row-start: 3;
    grid-column-start: 2;
    font-size: clamp(0.9rem, 2vw, 1.2rem);
    font-weight: 100;
    z-index: 1;
}
.tittle__container__grid{
    font-weight: 100;
    font-size: clamp(1rem, 2vw, 3rem);
    color: #282828;
    letter-spacing: 3px;
    display: flex;
    justify-content: center;
    align-items: center;
    grid-row-start: 2;
    grid-column: span 2;
    z-index: 1;
}
.img__container__tablero__grid {
    grid-row-start: 3;
    grid-column-start: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    max-height: 100%;
    max-width: 85%;
    overflow: hidden;
}
.img__container__tablero__grid img{
    border-radius: 10px;
    height: 90%;
    max-width: 100%;
    filter:sepia(0.5) hue-rotate(180deg);
}
.languages__used__container__project a{
    display: flex;
    justify-content: center;
    align-items: center;
}
.languages__used__container__project{
    height: 100%;
    width: 100%;
    grid-row-start: 1;
    grid-column-start: 1;
    grid-column: span 2;
    display: flex;
    justify-content: left;
    align-items: center;
    gap: 10px;  
}
.c-logo-img{
    height: 30px;
}

.experience__container__proyect:hover{
    box-shadow: 0px 0px 20px rgba(43, 85, 148, 0.561);
}

/*
HACER QUERIES DESPUES DE 1100 QUE SE HAGAN DOS COLUMNAS Y YA DESPUES SE PONGA TODO EN UNA COLUMNA
*/
@media screen and (max-width :850px){
    
    .desc__container__grid{
        color:white;
        grid-row-start: 3;
        grid-column-start:1 ;
    }
    .tittle__container__grid{
        grid-column-start: 1;
        grid-row-start: 1;
        color: white;
    }

    .experience__container__proyect{
        grid-template-rows:2fr 1fr 2fr;
        grid-template-columns: 1fr;
        height: 200px;
        margin: 15px 10%;
        padding: 10px 20px;
        position:relative;
        background-color: #03002e;
        justify-items: center;
    }
    .languages__used__container__project{
        height: 100%;
        width: 100%;
        grid-row-start: 2;
        grid-column-start: 1;
        display: flex;
        justify-content: center;
        gap: 10px;  
        align-items: center;
        color: white;
    }
    .languages__used__container__project img:last-child{
        filter: invert(100%);
    }
    .desc__container__grid{
        grid-row-start: 3;
        grid-column-start:1 ;
        
    }
    .img__container__tablero__grid{
        
        display: none;
    }
}
/* ------------------ABOUT ME SECTION---------------- */
.aboutme__section{
    height: 100dvh;
    width: 100%;
    display: flex;
    gap: 30px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background: linear-gradient(#cec9d7bb,#c6c6c6c8 );
}
.aboutme__section__title{
    margin-top: 0px;
    letter-spacing: 3px;
    text-align: center;
    color: #03002e;
}

.aboutme__card{
    display: grid;
    max-width: 500px;
    max-height: 400px;
    grid-template-columns: 1fr 2fr 1fr;
    grid-template-rows: 1fr 2fr;
    justify-items: center;
    align-items: center;
    background-color: #f7f7f7c8;
    padding: 20px; 
    border-radius: 15px;
    box-shadow: 0px 0px 20px  #504f4f;
    color: rgb(10, 10, 10);
    gap:5px;
    border:solid 0.5px rgb(34, 34, 34);
    background: linear-gradient(to right,#a46b9e ,#714856,  #596a78 );
}
.aboutme__card__name{
    border-radius: 0 15px 0 0;
    display: flex;
    width: 100%;
    height: 100%;
    flex-wrap: wrap;
    flex-direction:row ;
    justify-content: center;
    align-items: center;
    text-align: center;
    display: none;
}
.aboutme__card__name h2{
    font-size: clamp(1rem, 2.5vw, 3rem);
    letter-spacing: 3px;
    width: 50%;
}
.social-logo{
    height:30px;
    text-align: center;
   
    transition: all 0.2s ease;
}
.aboutme__card__logo__container{
    position:relative;
    width: 100%;
    height: 100%;
    flex-direction: column;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px;
}
.aboutme__card__logo__container a{
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    width: 100%;
}
.github-text{
    font-size: 15px;
    text-align: center;
}

.social-logo:hover{
    transform: scale(1.1);
}


.aboutme__card__description{
    display: flex;
    border-radius:  0 0 15px 15px;
    justify-content: center;
    align-items: center;
    text-align: center;
    width: 100%;
    grid-column: span 3;
    height: 100%;
    letter-spacing: 1.1px;
    text-wrap: balance;
    
}
.aboutme__card__description p{
    text-align: center;
    font-size: clamp(0.9rem, 2vw, 1.2rem);
    font-weight: 100;
    text-wrap: balance;
}
.aboutme__card__img{
    border-radius: 50%;
    object-fit: cover;
    height: 100%;
    filter: drop-shadow(0px 0px 10px #00000087);
    transition: all 0.6s ease;
    
}
.aboutme__card__imgcont{
    width: 80%;
    height: 80%;
    display: flex;
    justify-content: center;
    align-items: center;
}


@media screen and (max-width :800px){
    .aboutme__card__description p{
        text-wrap: balance;
    }
    .github-text{
        font-size: 12px;
    }
    .aboutme__card__socials img{
        height:25px;
        text-align: center;
    }
    .aboutme__card{
        max-width: 85%;
        max-height: 300px;
    }
    
}

.footer__section{   
    height: 10dvh;
    width: 100%;
    font-family: sans-serif;
    font-weight: 100;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #0e012d;
    color: white;
}
.footer__section h3{
    font-weight: 100;
}